ChangeSet 1.1290.15.20, 2004/03/10 12:02:23-08:00, not@just.any.name

[PATCH] USB: Using physical extents instead of logical ones for NEC USB HID gamepads

>> This patch for 2.4.22 (which applied cleanly to 2.4.25-pre) adds the
>> ID 073e:0301 NEC, Inc. Game Pad to the list of quirky USB joypads which
>> mix up logical and physical extents.
>>
>> Please apply as the joypad obviously does not work without it. I've
>> tested it.


 drivers/usb/hid-core.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/hid-core.c b/drivers/usb/hid-core.c
--- a/drivers/usb/hid-core.c	Wed Mar 17 15:48:25 2004
+++ b/drivers/usb/hid-core.c	Wed Mar 17 15:48:25 2004
@@ -1189,7 +1189,10 @@
 #define USB_VENDOR_ID_MGE		0x0463
 #define USB_DEVICE_ID_MGE_UPS		0xffff
 #define USB_DEVICE_ID_MGE_UPS1		0x0001
- 
+
+#define USB_VENDOR_ID_NEC		0x073e
+#define USB_DEVICE_ID_NEC_USB_GAME_PAD	0x0301
+
 struct hid_blacklist {
 	__u16 idVendor;
 	__u16 idProduct;
@@ -1244,6 +1247,7 @@
 	{ USB_VENDOR_ID_ESSENTIAL_REALITY, USB_DEVICE_ID_ESSENTIAL_REALITY_P5, HID_QUIRK_IGNORE },
 	{ USB_VENDOR_ID_MGE, USB_DEVICE_ID_MGE_UPS, HID_QUIRK_IGNORE },
 	{ USB_VENDOR_ID_MGE, USB_DEVICE_ID_MGE_UPS1, HID_QUIRK_IGNORE },
+	{ USB_VENDOR_ID_NEC, USB_DEVICE_ID_NEC_USB_GAME_PAD, HID_QUIRK_BADPAD },
 	{ 0, 0 }
 };
 
